BinderHelper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class BinderHelper

    java.lang.Object
      org.hibernate.cfg.BinderHelper

    public class BinderHelper

extends Object

Field Summary
`static String` | `ANNOTATION_STRING_DEFAULT`
`static Set<String>` | `PRIMITIVE_NAMES`

Method Summary
`static void` | `bindAnyMetaDefs(org.hibernate.annotations.common.reflection.XAnnotatedElement annotatedElement, Mappings mappings)`
`static Any` | `buildAnyValue(String anyMetaDefName, Ejb3JoinColumn[] columns, Column metaColumn, PropertyData inferredData, boolean cascadeOnDelete, Nullability nullability, PropertyHolder propertyHolder, EntityBinder entityBinder, boolean optional, Mappings mappings)`
`static void` | `createSyntheticPropertyReference(Ejb3JoinColumn[] columns, PersistentClass ownerEntity, PersistentClass associatedEntity, Value value, boolean inverse, Mappings mappings)`
`static Object` | `findColumnOwner(PersistentClass persistentClass, String columnName, Mappings mappings)` Find the column owner (ie PersistentClass or Join) of columnName.
`static Property` | `findPropertyByName(Component component, String propertyName)` Retrieve the property by path in a recursive way
`static Property` | `findPropertyByName(PersistentClass associatedClass, String propertyName)` Retrieve the property by path in a recursive way, including IndetifierProperty in the loop If propertyName is null or empty, the IdentifierProperty is returned
`static MappedSuperclass` | `getMappedSuperclassOrNull(org.hibernate.annotations.common.reflection.XClass declaringClass, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass, Mappings mappings)`
`static String` | `getPath(PropertyHolder holder, PropertyData property)`
`static String` | `getRelativePath(PropertyHolder propertyHolder, String propertyName)`
`static boolean` | `isEmptyAnnotationValue(String annotationString)`
`static void` | `makeIdGenerator(SimpleValue id, String generatorType, String generatorName, Mappings mappings, Map<String,IdGenerator> localGenerators)` apply an id generator to a SimpleValue
`static Property` | `shallowCopy(Property property)` create a property copy reusing the same value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION_STRING_DEFAULT

    public static final String ANNOTATION_STRING_DEFAULT

See Also:
  Constant Field Values

### PRIMITIVE_NAMES

    public static final Set<String> PRIMITIVE_NAMES

Method Detail

### shallowCopy

    public static Property shallowCopy(Property property)

  create a property copy reusing the same value

### createSyntheticPropertyReference

    public static void createSyntheticPropertyReference(Ejb3JoinColumn[] columns,
                                                        PersistentClass ownerEntity,
                                                        PersistentClass associatedEntity,
                                                        Value value,
                                                        boolean inverse,
                                                        Mappings mappings)

### findPropertyByName

    public static Property findPropertyByName(PersistentClass associatedClass,
                                              String propertyName)

  Retrieve the property by path in a recursive way, including IndetifierProperty in the loop If propertyName is null or empty, the IdentifierProperty is returned

### findPropertyByName

    public static Property findPropertyByName(Component component,
                                              String propertyName)

  Retrieve the property by path in a recursive way

### getRelativePath

    public static String getRelativePath(PropertyHolder propertyHolder,
                                         String propertyName)

### findColumnOwner

    public static Object findColumnOwner(PersistentClass persistentClass,
                                         String columnName,
                                         Mappings mappings)

  Find the column owner (ie PersistentClass or Join) of columnName. If columnName is null or empty, persistentClass is returned

### makeIdGenerator

    public static void makeIdGenerator(SimpleValue id,
                                       String generatorType,
                                       String generatorName,
                                       Mappings mappings,
                                       Map<String,IdGenerator> localGenerators)

  apply an id generator to a SimpleValue

### isEmptyAnnotationValue

    public static boolean isEmptyAnnotationValue(String annotationString)

### buildAnyValue

    public static Any buildAnyValue(String anyMetaDefName,
                                    Ejb3JoinColumn[] columns,
                                    Column metaColumn,
                                    PropertyData inferredData,
                                    boolean cascadeOnDelete,
                                    Nullability nullability,
                                    PropertyHolder propertyHolder,
                                    EntityBinder entityBinder,
                                    boolean optional,
                                    Mappings mappings)

### bindAnyMetaDefs

    public static void bindAnyMetaDefs(org.hibernate.annotations.common.reflection.XAnnotatedElement annotatedElement,
                                       Mappings mappings)

### getMappedSuperclassOrNull

    public static MappedSuperclass getMappedSuperclassOrNull(org.hibernate.annotations.common.reflection.XClass declaringClass,
                                                             Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass,
                                                             Mappings mappings)

### getPath

    public static String getPath(PropertyHolder holder,
                                 PropertyData property)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.